Bug 989826 - [abrt] gdb-7.5.1-38.fc18: generic_elf_osabi_sniff_abi_tag_sections: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.5.1-38.fc18: generic_elf_osabi_sniff_abi_tag_sections: Process /...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:197858da5a5839a702cfbc890e1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 23:04 EDT by Moez Roy
Modified: 2014-02-05 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:12:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.45 KB, text/plain)
2013-07-29 23:04 EDT, Moez Roy
no flags Details
File: cgroup (156 bytes, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details
File: core_backtrace (2.29 KB, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details
File: dso_list (3.12 KB, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details
File: environ (325 bytes, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details
File: maps (15.78 KB, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details
File: open_fds (530 bytes, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details
File: proc_pid_status (894 bytes, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details
File: var_log_messages (5.28 KB, text/plain)
2013-07-29 23:05 EDT, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2013-07-29 23:04:52 EDT
Version-Release number of selected component:
gdb-7.5.1-38.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /' -ex 'file /usr/bin/python2.7' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 1024 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: generic_elf_osabi_sniff_abi_tag_sections
executable:     /usr/bin/gdb
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 generic_elf_osabi_sniff_abi_tag_sections at ../../gdb/osabi.c:431
 #1 bfd_map_over_sections at ../../bfd/section.c:1329
 #2 generic_elf_osabi_sniffer at ../../gdb/osabi.c:549
 #3 gdbarch_lookup_osabi at ../../gdb/osabi.c:247
 #4 gdbarch_info_fill at ../../gdb/arch-utils.c:733
 #5 gdbarch_find_by_info at ../../gdb/gdbarch.c:4557
 #6 gdbarch_from_bfd at ../../gdb/arch-utils.c:540
 #7 allocate_objfile at ../../gdb/objfiles.c:207
 #8 symbol_file_add_with_addrs_or_offsets at ../../gdb/symfile.c:1087
 #9 symbol_file_add_from_bfd at ../../gdb/symfile.c:1196

Potential duplicate: bug 875534
Comment 1 Moez Roy 2013-07-29 23:04:56 EDT
Created attachment 780281 [details]
File: backtrace
Comment 2 Moez Roy 2013-07-29 23:05:00 EDT
Created attachment 780282 [details]
File: cgroup
Comment 3 Moez Roy 2013-07-29 23:05:05 EDT
Created attachment 780283 [details]
File: core_backtrace
Comment 4 Moez Roy 2013-07-29 23:05:08 EDT
Created attachment 780284 [details]
File: dso_list
Comment 5 Moez Roy 2013-07-29 23:05:12 EDT
Created attachment 780285 [details]
File: environ
Comment 6 Moez Roy 2013-07-29 23:05:16 EDT
Created attachment 780286 [details]
File: limits
Comment 7 Moez Roy 2013-07-29 23:05:20 EDT
Created attachment 780287 [details]
File: maps
Comment 8 Moez Roy 2013-07-29 23:05:23 EDT
Created attachment 780288 [details]
File: open_fds
Comment 9 Moez Roy 2013-07-29 23:05:27 EDT
Created attachment 780289 [details]
File: proc_pid_status
Comment 10 Moez Roy 2013-07-29 23:05:30 EDT
Created attachment 780290 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:24:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:12:31 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.